import request from '@/utils/request'

// 查询维修测试控制解析后数据列表
export function listAfterAnalysisResult(query) {
  return request({
    url: '/manage/afterAnalysisResult/list',
    method: 'get',
    params: query
  })
}

// 查询维修测试控制解析后数据详细
export function getAfterAnalysisResult(id) {
  return request({
    url: '/manage/afterAnalysisResult/' + id,
    method: 'get'
  })
}

// 新增维修测试控制解析后数据
export function addAfterAnalysisResult(data) {
  return request({
    url: '/manage/afterAnalysisResult',
    method: 'post',
    data: data
  })
}

// 修改维修测试控制解析后数据
export function updateAfterAnalysisResult(data) {
  return request({
    url: '/manage/afterAnalysisResult',
    method: 'put',
    data: data
  })
}

// 删除维修测试控制解析后数据
export function delAfterAnalysisResult(id) {
  return request({
    url: '/manage/afterAnalysisResult/' + id,
    method: 'delete'
  })
}
